Download it now!
Bug 81091 - Images in help not visible if security option is selected (comment 18)
Summary: Images in help not visible if security option is selected (comment 18)
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Help-Viewer
  Show dependency treegraph
 
Reported: 2014-07-09 07:59 UTC by helplibreoffice
Modified: 2018-11-19 14:08 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Demonstration of bug (67.92 KB, image/png)
2014-07-17 19:32 UTC, helplibreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description helplibreoffice 2014-07-09 07:59:03 UTC
I can't say why, but images in Help do not appear.  All the text appears, and little icons show up where the images should appear.
Comment 1 Regina Henschel 2014-07-09 19:09:13 UTC
Which operating system? Which language? Please name a topic in the help, where you have noticed the error.
Comment 2 helplibreoffice 2014-07-10 01:11:51 UTC
It is all images in help.  Every image shows up as an icon instead of the actual image.
Comment 3 Regina Henschel 2014-07-13 19:56:18 UTC
I can confirm missing icons for Version: 4.4.0.0.alpha0+
Build ID: 3ffb06e76be9be7499f12973139949ddbf6297b9
TinderBox: Win-x86@51-TDF, Branch:MASTER, Time: 2014-07-10_23:05:03

For example help for File > New. You get it by Contents > Text Documents > Command and Menu Reference > Menus > File > New
The corresponding source code file is /help/source/text/shared/01/01010000.xhp
The source code has a relative path
  src="res/sx03251.png"
in element 
  <image id="img_id3153821" ...

The helper viewer resolves the relative path to
vnd.sun.star.zip://file: [installation path] images_galaxy.zip/res/sx03251.png

But the container images_galaxy.zip has the file "sx03251.png" no longer, because it was double to "odt_16_8.png". Double images has been removed and the relationship is tracked in the file "links.txt". That works for the GUI, but not for the help viewer.   

I haven't got a version 4.3 to test it there.


@helplibreoffice@mailcatch.com:
Are you sure about the version? I can see the images in Version: 4.2.5.2
Build ID: 6ff819b65674ae6c83f3cbab9e4a4c2b292a7a94.
Comment 4 helplibreoffice 2014-07-16 21:15:19 UTC
Thank you for the info.  Yes, version number of 4.2.5.2 is confirmed.

I am fairly sure I also have seen the issue in previous versions, but I cannot confirm that.
Comment 5 helplibreoffice 2014-07-17 19:32:24 UTC
Created attachment 103001 [details]
Demonstration of bug

Here is what help looks like on v4.2.5.2
Images are missing from the help.  This is the case for all help pages.
Comment 6 Regina Henschel 2014-07-17 20:42:41 UTC
Please do this: Click on the replacement edge, so that it gets green handles; Ctrl+C to copy it to clipboard, in a Writer document paste it with Ctrl+V. Now right click it to open the context menu and click on item "picture". You get the picture properties dialog. In this dialog click on tab "Picture". You will see a field "File name". Copy the entry and paste it as plain text into the document. It tells were the help viewer searches the icon file.

If the sting has a lot of %2F or so, then replace %2F with / and then %25 with % and then %20 with a blank.

Please look whether the zip-file mentioned in that string is installed on your machine.

I ask this, because in my help there is an icon where your screenshot shows a replacement image.
Comment 7 helplibreoffice 2014-07-17 21:15:25 UTC
Excellent instructions, Regina.

The zip file is present, and the image is present within the zip file.

HOWEVER, the filespec is preceded by "vnd.sun.star.zip://file:" when I check the picture's filename.  Could that be the problem?

BTW, when I paste the image into Writer using your instructions, it displays fine.  It does not appear in the Help, however.
Comment 8 Regina Henschel 2014-07-18 00:55:33 UTC
Please post the link you have found here.

What theme do you have chosen in Tools > Options > LibreOffice > View? Your screen shot looks like "Tango" or "Automatic (Tango)".

Is the corresponding *.zip file in <installation-path>/share/config/ the original one? Is your help-folder the original one? Or have you copied something from an older LO version or from AOO?

For me only some images are missing. Therefore I think, your problem has a different root then mine. I guess, that your help files do not fit to the image container. The current LO versions have a different folder-structure in the image container than AOO or older LO versions.
Comment 9 helplibreoffice 2014-07-18 03:33:30 UTC
Theme is the default: Automatic (Tango).

The .zip file is the original, not a copy from an old version (unless the MSI file is broken).  The MD5 of images_tango.zip is 4488AF54F6D9A6EC1B88F3E17E666849 - can you verify that is correct?

The filespec is: "vnd.sun.star.zip://file:%2F%2F%2FC:%2FProgram%2520Files%2FLibreOffice%25204%2Fshare%2Fconfig%2Fimages_tango.zip/cmd/sc_helpindex.png"

Does this help?
Comment 10 Regina Henschel 2014-07-18 10:35:02 UTC
I have got Version: 4.2.5.2 Build-ID: 6ff819b65674ae6c83f3cbab9e4a4c2b292a7a94 and work on Windows 7 32Bit. If you do not have the same version the checksum will be different. My md5 sum is 90a558acd73fe7e7d76133a07b2cec3b.

The link is OK. It has /cmd/. Other versions would have /commandimagelist/.
I have overseen, that the same link works in a Write document for you. Therefore I think, that help text and image file are correct.

It seems, that there is something special in your installation. If there would be a general problem with totally missing images, we had more complains. Therefore I suggest, that you move to a mailing-list or forum to investigate the problem. A bug can only be fixed, if it is reproducible.

The usual starts for investigation are:
Try it with a new user profile.
Try it with another language of the UI.
Do you have any extensions installed? Try it without extensions.
Try it in a fresh "administrative" installation.
Try it on another machine.

Nevertheless the problem which I described in comment #c3 remains.
Comment 11 Regina Henschel 2014-07-24 20:45:14 UTC
The fact that some images are missing is tracked in bug 75637.
Comment 12 helplibreoffice 2014-09-16 03:45:24 UTC
I did a fresh install of LO v4.3.1.2 on a client's WinXP Pro system today.

I first made sure that there was no LibreOffice folder under Program Files or anywhere in their user profile.  I searched their entire hard drive for any files or folders named LibreOffice (case insensitive) and it came up nil.

I verified the MD5 hashes of the installation files before installing.

I performed a Typical install of LO and then installed the help system.  No additional extensions were installed.  The install went smoothly and LO runs as expected, except the help system.

There are no images in the help system at all.  The text is perfect, but placeholders are present instead of every image.

I followed the procedure in post #6 of this thread, and everything looks good.
Comment 13 helplibreoffice 2014-10-09 03:48:36 UTC
I recently completed a huge rollout of LibreOffice in a corporate environment.  While training their employees to use LibreOffice, I verified that the help images are missing from all their systems.  The appropriate files are there, but the images are not displayed.

After hours and hours of testing, troubleshooting, trial and error, and research, I have found the bug.

I will post the details as soon as I have time to write it up.  Stay tuned...
Comment 14 Alex Thurgood 2014-10-15 13:17:38 UTC
Confirming on OSX 10.9.5 with LO master 

Version: 4.4.0.0.alpha0+
Build ID: 7dc6c9af4ba313f054331f5130470d83d875bc16

An example of missing icon :

vnd.sun.star.zip://file:%2F%2F%2FApplications%2FLibreOfficeDev.app%2FContents%2FResources%2Fconfig%2Fimages_tango.zip/fpicker/res/fp011.png

Default Tango icon set
Comment 15 Alex Thurgood 2014-10-15 13:24:20 UTC
(In reply to Alex Thurgood from comment #14)
> Confirming on OSX 10.9.5 with LO master 
> 
> Version: 4.4.0.0.alpha0+
> Build ID: 7dc6c9af4ba313f054331f5130470d83d875bc16
> 
> An example of missing icon :
> 
> vnd.sun.star.zip://file:%2F%2F%2FApplications%2FLibreOfficeDev.
> app%2FContents%2FResources%2Fconfig%2Fimages_tango.zip/fpicker/res/fp011.png
> 
> Default Tango icon set

Inspecting the tango.zip in app bundle confirms that the file in question is not present, so something is wrong with the build of the resources at build/packaging time.
Comment 16 Alex Thurgood 2014-10-15 13:29:53 UTC
(In reply to Alex Thurgood from comment #15)


> Inspecting the tango.zip in app bundle confirms that the file in question is
> not present, so something is wrong with the build of the resources at
> build/packaging time.

fp011.png is not even present in my git repo under 

core/icon-themes/tango/fpicker/res/
Comment 17 Alex Thurgood 2014-10-15 13:37:09 UTC
Note also that fpicker/res/* is completely absent from 

crystal
sifr
tango_testing
Comment 18 helplibreoffice 2014-11-14 04:32:43 UTC
When the 'Block any links from documents not among the trusted locations' option is enabled, LibreOffice will fail to show ALL the images within its own help system.

This option is accessed via:
 Tools Menu
 -> Options
 -> 'LibreOffice' group
 -> 'Security' page
 -> 'Security options and warnings' heading
 -> 'Options...' button
 -> 'Block any links from documents not among the trusted locations (see Macro Security)' checkbox

This option is, of course, an important one.

To reproduce:
1. Enable the option as specified above
2. Click on the Help Menu
3. Select 'LibreOffice Help'

Result: No images on any page in the help system
Expected Result: Images in the help system

Time spent isolating bug: 6.5 hours
Comment 19 helplibreoffice 2014-11-18 01:52:34 UTC
I tested this on Win32 and Win64 systems and problem exists on both.
Comment 20 helplibreoffice 2015-05-17 07:10:31 UTC
Update: Bug still present in LO 4.4.3.2
Tested on: Windows 7 SP1 64-bit
Comment 21 bugquestcontri 2015-05-17 14:43:44 UTC
kubuntu 14.04
LibO 4.2.8.2

I tested based on comment 18 and saw the bug (no display of the icons) with "Block any links from documents..." being unchecked.


XP/SP3
LiibO 4.3.7.2

Icons are 
- displayed with "Block any links from documents..." being unchecked.
- NOT displayed with "Block any links from documents..." being checked.
Comment 22 Yan Pas 2015-09-24 19:43:26 UTC
Version 5.0.1rc2 - still no pictures in help. The tick in security settings is unchecked.
Comment 23 helplibreoffice 2015-10-08 03:21:30 UTC
Bug still present in LibreOffice 5.0.2.2 (final release of 5.0.2).
Comment 24 Laurent BP 2015-10-17 20:44:15 UTC
Option:
Tools > Options > LibreOffice > Security > Options > Block any links from documents not among the trusted locations (see Macro Security)
appeared in LibO 4.2. The bug is present till 4.2.0 RC1 modify version accordingly.
Comment 25 QA Administrators 2016-11-08 11:42:23 UTC Comment hidden (obsolete)
Comment 26 Yan Pas 2016-11-08 16:22:40 UTC
LO 5.2.3.2 Linux Mint 18 64bit, still reproducible

Seems that more pictures are loaded, but still a lot of pictures not loaded
Comment 27 russell 2017-05-23 05:29:48 UTC
Version: LibreOffice 5.3.3 on Linux
Icon Style: Galaxy

Following #6:

In Calc - Icon that displays:
1. Click File -> Help
2. I see the "LibreOffic Help" icon. I select, copy and paste it in writer.
3. I right-click the image -> Properties

   File Name: vnd.libreoffice.image://galaxy/cmd/sc_helpindex.png

===> unzip -l /usr/share/libreoffice/share/config/images_galaxy.zip|grep sc_helpindex.png

      715  2017-05-03 18:58   cmd/sc_helpindex.png

In Calc - Icon that does not display:
1. Click File -> Help
2. I search for "functions" and select "Date & Time Functions"
3. I see the "Note icon". I select, copy and paste it in writer.
4. I right-click the image -> Properties

   File Name: vnd.libreoffice.image://galaxy/res/helpimg/note.png

===> unzip -l /usr/share/libreoffice/share/config/images_galaxy.zip|grep note.png

      992  2017-05-03 18:58   cmd/lc_insertfootnote.png
      553  2017-05-03 18:58   cmd/sc_insertfootnote.png
     1067  2017-05-03 18:58   cmd/lc_insertendnote.png
      508  2017-05-03 18:58   cmd/sc_insertendnote.png

5. Tried another icon:

   File Name: vnd.libreoffice.image://galaxy/res/helpimg/warning.png

===> unzip -l /usr/share/libreoffice/share/config/images_galaxy.zip|grep warning.png

      523  2017-05-03 18:58   dbaccess/res/exwarning.png

I went through all zip files using command below and the results were the same as above for all files.

for f in *.zip; do unzip -l $f; done | grep '(note.png|warning.png)'
Comment 28 Buovjaga 2018-11-19 14:08:57 UTC
The help system was moved to html, so this report is obsolete. Closing.